> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow



## OpenAPI

````yaml openapi.json get /api/workflows/{workflow_uuid}
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/workflows/{workflow_uuid}:
    get:
      tags:
        - workflows
      summary: Get Workflow
      operationId: get_workflow_api_workflows__workflow_uuid__get
      parameters:
        - name: workflow_uuid
          in: path
          required: true
          schema:
            type: string
            title: Workflow Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    WorkflowDetailResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        workflow_uuid:
          type: string
          title: Workflow Uuid
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        specification:
          anyOf:
            - {}
            - type: 'null'
          title: Specification
        current_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
        total_executions:
          type: integer
          title: Total Executions
          default: 0
        success_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Success Rate
        avg_duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Avg Duration
        executions:
          items:
            $ref: '#/components/schemas/ExecutionResponse'
          type: array
          title: Executions
          default: []
      type: object
      required:
        - workflow_uuid
        - name
      title: WorkflowDetailResponse
      description: |-
        Detailed workflow response with stats and recent executions.
        Used by GET /api/workflows/{id} endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExecutionResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        execution_uuid:
          type: string
          title: Execution Uuid
        workflow_version_uuid:
          type: string
          title: Workflow Version Uuid
        workflow_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Uuid
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        status:
          anyOf:
            - type: string
              enum:
                - queued
                - running
                - paused
                - completed
                - failed
            - type: 'null'
          title: Status
        input_payload:
          anyOf:
            - {}
            - type: 'null'
          title: Input Payload
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        n_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Steps
        n_agent_actions:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Agent Actions
        n_screenshots:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Screenshots
        output_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Url
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
        logs_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs Url
      type: object
      required:
        - execution_uuid
        - workflow_version_uuid
      title: ExecutionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````